---
updatedAt: 2026-05-27T08:29:53.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List delivery note deliveries

Details of delivery note

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Delivery Note",
      "description": "Delivery notes."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/deliveryNotes/{id}/deliveries": {
      "get": {
        "deprecated": true,
        "tags": [
          "Delivery Note"
        ],
        "operationId": "deliveryNote.deliveries.list",
        "description": "Details of delivery note",
        "summary": "List delivery note deliveries",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Delivery list",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data",
                    "extra"
                  ],
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "required": [
                          "id",
                          "deliveryNote",
                          "tracking",
                          "salesOrder",
                          "shippingMethod"
                        ],
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "tracking": {
                            "type": "object",
                            "required": [
                              "number"
                            ],
                            "additionalProperties": false,
                            "properties": {
                              "number": {
                                "type": "string",
                                "description": "The tracking number provided by the carrier."
                              },
                              "link": {
                                "type": "string",
                                "description": "Carrier tracking link"
                              },
                              "carrier": {
                                "type": "string",
                                "description": "Carrier that shipping the delivery"
                              }
                            },
                            "description": "Tracking information for the delivery",
                            "example": {
                              "number": "101010101010101"
                            }
                          },
                          "deliveryNote": {
                            "description": "Nullable reference to another resource",
                            "type": "object",
                            "additionalProperties": false,
                            "nullable": true,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "example": {
                              "id": "1337"
                            }
                          },
                          "salesOrder": {
                            "description": "Nullable reference to another resource",
                            "type": "object",
                            "additionalProperties": false,
                            "nullable": true,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "example": {
                              "id": "1337"
                            }
                          },
                          "shippingMethod": {
                            "description": "Nullable reference to another resource",
                            "type": "object",
                            "additionalProperties": false,
                            "nullable": true,
                            "required": [
                              "id"
                            ],
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              }
                            },
                            "example": {
                              "id": "1337"
                            }
                          },
                          "sentAt": {
                            "type": "string",
                            "format": "date",
                            "nullable": true,
                            "description": "Date when the delivery was sent",
                            "example": "2022-01-07"
                          },
                          "sentAtTimestamp": {
                            "type": "string",
                            "format": "datetime",
                            "nullable": true,
                            "description": "Timestamp when the delivery was sent",
                            "example": "2022-01-07 00:00:00"
                          },
                          "label": {
                            "type": "object",
                            "nullable": true,
                            "required": [
                              "fileType",
                              "fileContent"
                            ],
                            "additionalProperties": false,
                            "properties": {
                              "fileType": {
                                "type": "string",
                                "description": "Label's file type",
                                "example": "image/gif"
                              },
                              "fileContent": {
                                "type": "string",
                                "description": "Base 64 encoded label",
                                "example": "R0lGODlhAQABAPAAAAAAAAAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="
                              }
                            },
                            "description": "Shipping label for the delivery",
                            "example": {
                              "fileType": "image/gif",
                              "fileContent": "R0lGODlhAQABAPAAAAAAAAAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="
                            }
                          },
                          "additionalPackages": {
                            "type": "array",
                            "description": "Additional parcels associated with this shipment",
                            "items": {
                              "type": "object",
                              "additionalProperties": false,
                              "required": [
                                "id",
                                "trackingNumber"
                              ],
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "pattern": "\\d+",
                                  "example": "17",
                                  "description": "Resource identifier."
                                },
                                "trackingNumber": {
                                  "type": "string",
                                  "nullable": true,
                                  "description": "The tracking number for this parcel.",
                                  "additionalProperties": false,
                                  "example": "ABC123123123"
                                },
                                "weight": {
                                  "type": "number",
                                  "format": "float",
                                  "nullable": true,
                                  "description": "Weight of the parcel",
                                  "example": 2.25
                                },
                                "createdAt": {
                                  "type": "string",
                                  "format": "datetime",
                                  "nullable": true,
                                  "description": "Creation timestamp of the parcel record",
                                  "example": "2024-09-18T14:30:00Z"
                                },
                                "updatedAt": {
                                  "type": "string",
                                  "format": "datetime",
                                  "nullable": true,
                                  "description": "Last update timestamp of the parcel record",
                                  "example": "2024-09-18T14:30:00Z"
                                }
                              },
                              "description": "Data representation of an additional parcel within a shipment",
                              "example": {
                                "id": "123",
                                "trackingNumber": "ABC123123123",
                                "weight": 2.25,
                                "createdAt": "2024-09-18T14:30:00Z",
                                "updatedAt": "2024-09-18T14:30:00Z"
                              }
                            }
                          }
                        },
                        "example": {
                          "id": "DEL-12345",
                          "tracking": {
                            "number": "101010101010101",
                            "link": "https://carrier.example.com/track/101010101010101",
                            "carrier": "DHL"
                          },
                          "deliveryNote": {
                            "id": "DN-54321"
                          },
                          "salesOrder": {
                            "id": "SO-98765"
                          },
                          "shippingMethod": {
                            "id": "SM-12345"
                          },
                          "sentAt": "2022-01-07",
                          "sentAtTimestamp": "2022-01-07 00:00:00",
                          "label": {
                            "fileType": "image/gif",
                            "fileContent": "R0lGODlhAQABAPAAAAAAAAAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="
                          },
                          "additionalPackages": [
                            {
                              "id": "123",
                              "trackingNumber": "ABC123123123",
                              "weight": 2.25,
                              "createdAt": "2024-09-18T14:30:00Z",
                              "updatedAt": "2024-09-18T14:30:00Z"
                            }
                          ]
                        },
                        "description": "Data representation of a single delivery aka shipment"
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "totalCount",
                        "page"
                      ],
                      "additionalProperties": false,
                      "x-description-ignore": true,
                      "properties": {
                        "totalCount": {
                          "description": "the total count of all items",
                          "type": "integer",
                          "example": 1
                        },
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "description": "The current page number",
                              "type": "integer",
                              "example": 1
                            },
                            "size": {
                              "description": "The size of the pages",
                              "type": "integer",
                              "example": 10
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "totalCount": 1,
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```